{% extends 'component/list_component.html.twig' %}

{% block tableHeader %}
    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Dateiname',
        'columnId': 'dateiname',
        'ariaLabelId': 'filename',
        'ariaLabelName': 'Filename'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': sortable,
        'label': 'Erstellt am',
        'columnId': 'erstellt_am',
        'ariaLabelId': 'created-at',
        'ariaLabelName': 'Created At'
    } only %}

    {% include 'component/list_component/columnheader_component.html.twig' with {
        'sortable': false,
        'label': 'Status'
    } only %}
{% endblock %}

{% block tableContent %}
    <td class="mdc-data-table__cell">{{ listItem.getFile().getFilename() }}</td>
    <td class="mdc-data-table__cell">{{ listItem.getCreatedAt().format('d.m.Y H:i') }}</td>
    <td class="mdc-data-table__cell">
        {% if listItem.getProcessPropertyExcelImportTask() is not null %}
            {% if listItem.getProcessPropertyExcelImportTask().getTaskStatus().name == 'CREATED' %}
                <div class="d-flex align-items-center">
                    Erstellt
                    <span class="mdc-icon-button mdc-button--icon-leading ml-3 d-inline-block mdc-tooltip-anchor" aria-describedby="excel-import-{{ listItem.getProcessPropertyExcelImportTask().getId() }}-status-mdc-tooltip">
                                                                    <i class="material-icons" style="font-size: 21px">info_outlined</i>
                                                                </span>
                    <div id="excel-import-{{ listItem.getProcessPropertyExcelImportTask().getId() }}-status-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                        <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">
                            <strong>Der Import wurde erstellt</strong><br>
                            Die Verarbeitung startet in Kürze. Bitte laden Sie die Seite<br>in einigen Minuten neu, um den Verarbeitungsstand einzusehen.
                        </div>
                    </div>
                </div>
            {% elseif listItem.getProcessPropertyExcelImportTask().getTaskStatus().name == 'IN_PROGRESS' %}
                <div class="d-flex align-items-center">
                    <span class="text-warning">in Verarbeitung</span>
                    <span class="mdc-icon-button text-warning mdc-button--icon-leading ml-3 d-inline-block mdc-tooltip-anchor" aria-describedby="excel-import-{{ listItem.getProcessPropertyExcelImportTask().getId() }}-status-mdc-tooltip">
                                                                    <i class="material-icons" style="font-size: 21px">info_outlined</i>
                                                                </span>
                    <div id="excel-import-{{ listItem.getProcessPropertyExcelImportTask().getId() }}-status-mdc-tooltip" class="mdc-tooltip" role="tooltip" aria-hidden="true">
                        <div class="mdc-tooltip__surface mdc-tooltip__surface-animation">
                            <strong>Die Datei wird derzeit verarbeitet</strong><br>
                            Aktuell wird die hochgeladene Datei geprüft. Bitte laden Sie<br>die Seite in einigen Minuten neu, um zu sehen, ob die Daten<br>erfolgreich verarbeitet werden konnten.
                        </div>
                    </div>
                </div>
            {% elseif listItem.getProcessPropertyExcelImportTask().getTaskStatus().name == 'DONE' %}
                <span class="text-success">Abgeschlossen</span>
            {% elseif listItem.getProcessPropertyExcelImportTask().getTaskStatus().name == 'FAILED' %}
                <div class="d-flex align-items-center text-danger">
                    Fehlerhaft
                    <button class="mdc-icon-button mdc-button--icon-leading ml-3 d-inline-block" data-coreui-toggle="modal" data-coreui-target="#excel-import-validation-errors-{{ listItem.getProcessPropertyExcelImportTask().getId() }}">
                        <i class="material-icons" style="font-size: 21px">help_outline</i>
                    </button>
                </div>
            {% endif %}
        {% endif %}
    </td>
{% endblock %}
